// NewGridDlg.cpp : implementation file
//

#include "stdafx.h"
#include "imagegrinder.h"
#include "NewGridDlg.h"


/////////////////////////////////////////////////////////////////////////////
// CNewGridDlg dialog


CNewGridDlg::CNewGridDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CNewGridDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CNewGridDlg)
	m_hires = FALSE;
	m_XZones = 0;
	m_YZones = 0;
	//}}AFX_DATA_INIT
}


void CNewGridDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CNewGridDlg)
	DDX_Check(pDX, IDC_HIRES, m_hires);
	DDX_CBIndex(pDX, IDC_XZONES, m_XZones);
	DDX_CBIndex(pDX, IDC_YZONES, m_YZones);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CNewGridDlg, CDialog)
	//{{AFX_MSG_MAP(CNewGridDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CNewGridDlg message handlers

BOOL CNewGridDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	m_XZones = 1;
	m_YZones = 1;
	m_hires=FALSE;
	UpdateData(FALSE);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
